org.springframework.ui.context

## Interface HierarchicalThemeSource

- All Superinterfaces:
    ThemeSource
  All Known Implementing Classes:
    DelegatingThemeSource, ResourceBundleThemeSource

      public interface HierarchicalThemeSource
      extends ThemeSource

  Sub-interface of ThemeSource to be implemented by objects that can resolve theme messages hierarchically.
  Author:
    Jean-Pierre Pawlak, Juergen Hoeller

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThemeSource` | `getParentThemeSource()` Return the parent of this ThemeSource, or `null` if none.
    `void` | `setParentThemeSource(ThemeSource parent)` Set the parent that will be used to try to resolve theme messages that this object can't resolve.

    - ### Methods inherited from interface org.springframework.ui.context.ThemeSource

      `getTheme`

- - ### Method Detail

    - #### setParentThemeSource

          void setParentThemeSource(ThemeSource parent)

      Set the parent that will be used to try to resolve theme messages that this object can't resolve.
      Parameters:
        `parent` - the parent ThemeSource that will be used to resolve messages that this object can't resolve. May be `null`, in which case no further resolution is possible.

    - #### getParentThemeSource

          ThemeSource getParentThemeSource()

      Return the parent of this ThemeSource, or `null` if none.